Debian Bug report logs - #595834
moon: FTBFS in squeeze: ff3-dom.cpp:10:22: error: nsCOMPtr.h: No such file or directory

version graph

Package: moon; Maintainer for moon is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 6 Sep 2010 23:12:23 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version 1.0.1-3

Fixed in version 1.0.1-3+b2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#595834; Package moon. (Mon, 06 Sep 2010 23:12:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Mon, 06 Sep 2010 23:12:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: moon: FTBFS in squeeze: ff3-dom.cpp:10:22: error: nsCOMPtr.h: No such file or directory
Date: Tue, 7 Sep 2010 00:55:33 +0200
Package: moon
Version: 1.0.1-3
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100906 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in a squeeze chroot, your package failed
to build on amd64.

Relevant part:
> make[5]: Entering directory `/build/user-moon_1.0.1-3-amd64-QFHwN_/moon-1.0.1/plugin/firefox/ff3'
> ../../../doltcompile g++ -DHAVE_CONFIG_H -I. -I../../.. -I../../../src -I../../../src/asf -I../../../plugin -I../../../plugin/moz-sdk -I/usr/include/X11  -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/freetype2     -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/alsa   -D_REENTRANT      -DWITH_LIBXUL_UNSTABLE -Wall    -fno-inline -g -fno-inline-functions -g  -DCOMPATIBILITY_BUGS=1 -MT ff3-bridge.lo -MD -MP -MF .deps/ff3-bridge.Tpo -c -o ff3-bridge.lo ff3-bridge.cpp
> mv -f .deps/ff3-bridge.Tpo .deps/ff3-bridge.Plo
> ../../../doltcompile g++ -DHAVE_CONFIG_H -I. -I../../.. -I../../../src -I../../../src/asf -I../../../plugin -I../../../plugin/moz-sdk -I/usr/include/X11  -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/freetype2     -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/alsa   -D_REENTRANT      -DWITH_LIBXUL_UNSTABLE -Wall    -fno-inline -g -fno-inline-functions -g  -DCOMPATIBILITY_BUGS=1 -MT ff3-dom.lo -MD -MP -MF .deps/ff3-dom.Tpo -c -o ff3-dom.lo ff3-dom.cpp
> ff3-dom.cpp:10:22: error: nsCOMPtr.h: No such file or directory
> ff3-dom.cpp:11:27: error: nsIDOMElement.h: No such file or directory
> ff3-dom.cpp:12:25: error: nsIDOMRange.h: No such file or directory
> ff3-dom.cpp:13:33: error: nsIDOMDocumentRange.h: No such file or directory
> ff3-dom.cpp:14:28: error: nsIDOMDocument.h: No such file or directory
> ff3-dom.cpp:15:26: error: nsIDOMWindow.h: No such file or directory
> ff3-dom.cpp:16:25: error: nsStringAPI.h: No such file or directory
> ff3-dom.cpp:19:25: error: nsIDOMEvent.h: No such file or directory
> ff3-dom.cpp:20:30: error: nsIDOMMouseEvent.h: No such file or directory
> ff3-dom.cpp:21:31: error: nsIDOMEventTarget.h: No such file or directory
> ff3-dom.cpp:22:33: error: nsIDOMEventListener.h: No such file or directory
> ff3-dom.cpp:35: error: expected class-name before '{' token
> ff3-dom.cpp:37: error: 'NS_DECL_ISUPPORTS' does not name a type
> ff3-dom.cpp:49: error: ISO C++ forbids declaration of 'nsCOMPtr' with no type
> ff3-dom.cpp:49: error: expected ';' before '<' token
> ff3-dom.cpp:52: error: 'nsIDOMEventListener' has not been declared
> ff3-dom.cpp:54: error: expected constructor, destructor, or type conversion before 'NS_IMETHODIMP'
> make[5]: *** [ff3-dom.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/09/06/moon_1.0.1-3_lsqueeze64.buildlog

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in squeeze before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#595834; Package moon. (Mon, 06 Sep 2010 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Mon, 06 Sep 2010 23:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 595834@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 595834@bugs.debian.org
Subject: Re: [pkg-mono-group] Bug#595834: moon: FTBFS in squeeze: ff3-dom.cpp:10:22: error: nsCOMPtr.h: No such file or directory
Date: Tue, 07 Sep 2010 00:20:39 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-09-07 at 00:55 +0200, Lucas Nussbaum wrote:
> Package: moon
> Version: 1.0.1-3
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100906 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in a squeeze chroot, your package failed
> to build on amd64.

I can't fix the bug without a major upstream version bump. I can't bump
the version without some rather concerning behaviour from upstream
(namely, the moon 2.0+ source package needs to bundle a local fork of
mono and mono-basic source, something I've been told by ftpmaster not to
even bother trying).
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#595834; Package moon. (Mon, 15 Nov 2010 20:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Mon, 15 Nov 2010 20:48:08 GMT) Full text and rfc822 format available.

Message #15 received at 595834@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 595834@bugs.debian.org, 530251@bugs.debian.org
Subject: Re: Re: [pkg-mono-group] Bug#595834: moon: FTBFS in squeeze: ff3-dom.cpp:10:22: error: nsCOMPtr.h: No such file or directory
Date: Mon, 15 Nov 2010 20:47:22 +0000
Jo Shields <directhex@apebox.org> wrote:
> I can't fix the bug without a major upstream version bump. I can't bump
> the version without some rather concerning behaviour from upstream
> (namely, the moon 2.0+ source package needs to bundle a local fork of
> mono and mono-basic source, something I've been told by ftpmaster not to
> even bother trying).

I've just talked with the ftpmaster on IRC regarding this issue. Here's what 
he has to say about it (I'm mbn, he's Ganneff):

<mbn> Ganneff... moon (package for moonlight) ftbfs on amd64 and that will not 
change until a new version is packaged, but the new version will need to
bundle mono. It would be cool to know if bundling mono with moon (as the other 
distros are doing) is acceptable or not, so the future of the moon
package can be decided (either upgraded, and start shipping a bundle, or 
dropped, and stop having silverlight on debian)
<mbn> Ganneff, more info at 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595834 and 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=530251
<Ganneff> mono as in that language?
<Ganneff> no, thats not ok to bundle
<mbn> I thought so :-) Can you please take some time to state so in #530251, 
so steps can be made regarding it?
<mbn> (and thanks for your time)
<Ganneff> mbn: feel free to forward it there
<mbn> Ganneff I just hate having that issue "pending"... :-)
<Ganneff> mbn: actually the bug does list me saying exactly this already
<mbn> OK, will do, and thanks. Yes it does, but since it's not on your ink, 
there's also the "is he sure?" ;-)
<Ganneff> mbn: we are always sure that bundling stuff which is already in the 
archive is plain wrong.
<Ganneff> mbn: and if the stuff in the archive needs some patches to be useful 
the way to go is to patch it and MAYBE have it drop off one more binary 
package with the adjustements
<Ganneff> mbn: there, feel free to quote, the position didnt change :)
<mbn> I don't know enough on the issue (heck, I don't want to get near .net 
again in my life), but as far as I can see unbundling would be a bigger 
nightmare and we would end up with an unmaintainable package, so... maybe 
it's better to drop it off, but let's let the maintainer decide about 
that :-)

So, here it is. After this I think that there are no reasons to decide 
something regarding this issue: either to pick up back the effort of 
packaging moon without bundling mono, drop amd64 support or drop the whole 
package...

-- 
Marcos Marado




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:37 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 20 Aug 2011 15:54:54 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 20 Aug 2011 15:54:54 GMT) Full text and rfc822 format available.

Message #22 received at 595834-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 523799-done@bugs.debian.org,530251-done@bugs.debian.org,537396-done@bugs.debian.org,538092-done@bugs.debian.org,558938-done@bugs.debian.org,589375-done@bugs.debian.org,595834-done@bugs.debian.org,624883-done@bugs.debian.org,631047-done@bugs.debian.org,
Cc: moon@packages.debian.org, moon@packages.qa.debian.org
Subject: Bug#638565: Removed package(s) from unstable
Date: Sat, 20 Aug 2011 15:54:27 +0000
Version: 1.0.1-3+b2+rm

Dear submitter,

as the package moon has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/638565

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Sep 2011 07:31:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:53:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.